Bug 863486 - (CVE-2012-4480) CVE-2012-4480 mom: creates world-writable pid file
CVE-2012-4480 mom: creates world-writable pid file
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121004,reported=2...
: Security
Depends On: 863178 863489
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 11:05 EDT by Vincent Danen
Modified: 2014-01-11 13:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 14:33:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-10-05 11:05:56 EDT
Florian Weimer of the Red Hat Product Security Team found [1] that mom created PID files in /var/run as world-writable.  This could allow a malicious local attacker to edit the PID file and on mom shutdown or restart, to kill some other process than the mom process, that they would not normally have access to terminate.

This is fixed upstream [2].

[1] https://bugzilla.redhat.com/show_bug.cgi?id=863178
[2] http://gerrit.ovirt.org/#/c/8366/
Comment 1 Vincent Danen 2012-10-05 11:11:37 EDT
Created mom tracking bugs for this issue

Affects: epel-6 [bug 863489]
Comment 2 Adam Litke 2014-01-02 14:33:44 EST
Fixed as of 0.3.0-1.

Note You need to log in before you can comment on or make changes to this bug.